/*
 * Factory-related data types.
 *
 * Copyright (C) 2019 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#pragma once

#include <l4/sys/types.h>

#include <systypes/factory.h>



EXTERN_C_BEGIN

/* Supporting data types for factory invocations. */

typedef unsigned long unsigned_long;

ipc_varg_typedef(long, ipc_varg(long))
ipc_varg_typedef(unsigned_long, ipc_varg(unsigned_long))

#define ipc_varg_long(value) \
ipc_varg_mword(ipc_varg(long), value)

#define ipc_varg_unsigned_long(value) \
ipc_varg_umword(ipc_varg(unsigned_long), value)

EXTERN_C_END
